from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.text import XTextCursor

@runtime_checkable
class XWordCursor(XTextCursor, Protocol):
    def isStartOfWord(self) -> bool: ...
    def isEndOfWord(self) -> bool: ...
    def gotoNextWord(self, bExpand: bool) -> bool: ...
    def gotoPreviousWord(self, bExpand: bool) -> bool: ...
    def gotoEndOfWord(self, bExpand: bool) -> bool: ...
    def gotoStartOfWord(self, bExpand: bool) -> bool: ...
